**********************************************************
      SUBROUTINE UGEOM
**********************************************************
*
*     Define experimental setup
* 
**********************************************************
*
      IMPLICIT NONE
C
C Define user geometry set up
C
* *** List of the volumes to use.
*
* *** MEGFRA must **always** be called:  it  defines the MARS
*     and has the right size to contain all the other volumes
      CALL MEGFRA
*
* *** Liquid Xenon Calorimeter
      CALL MEGLIX
*
* *** Spectrometer 
      CALL MEGSPE
*
* *** Target: N.B. You can call the target even **without** MEGSPE
      CALL MEGTAR
*
* *** Coil (and eventually endcaps...)
      CALL MEGCOI
*
* *** Timing counter
      CALL MEGTOF
*
* *** Close geometry banks
      CALL GGCLOS
      END







